<div class="common-profile-header">{{'headingOrderComplaints' | translate: lang}}</div>
<div class="container">
  <div class="row mt-3 mb-3" *ngIf="orderComplaintList !== undefined && orderComplaintList.length > 0">
    <div class="col">
      <button mat-raised-button color="primary" [title]="'lableAddComplaint' | translate: lang"
        (click)="onClickAddComplaints()">
        <i class="fa fa-plus-circle plus-icon" aria-hidden="true"></i>
        {{'lableAddComplaint' | translate: lang}}
      </button>
    </div>
  </div>
  <div *ngIf="showManageComplaintsDetails" class="orderComplaint">
    <form [formGroup]="orderComplaintForm" (ngSubmit)="saveOrderComplaint()">
      <div class="row mt-3">
        <div class="col-md-6">
          <!-- <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>{{'labelOrderNumber' | translate: lang}}</mat-label>
            <mat-select required (selectionChange)="getProductBasedOnOrder($event.value)" formControlName="orderId">
              <mat-option *ngFor="let order of orderList" [value]="order.orderId" required>
                {{order.orderNumber}}
              </mat-option>
            </mat-select>
            <mat-hint
              *ngIf="(orderComplaintForm.controls['orderId'].invalid && (orderComplaintForm.controls['orderId'].dirty || orderComplaintForm.controls['orderId'].touched))">
              <mat-error *ngIf="orderComplaintForm.controls['orderId'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field> -->
          <app-mat-select-search (selectionChange)="getProductBasedOnOrder($event.value)" [label]="'labelOrderNumber' | translate: lang" [list]="orderList" valueField="orderId" [myFormControl]="orderComplaintForm.controls['orderId']" [requiredMsg]="'errorRequired' | translate:lang"
          [searchPlaceholder]="'ORDER_SEARCH_PLACEHOLDER' | translate: lang" [isInactive]="false" [isRequired]="true" [noResultsLabel]="'ORDER_SEARCH_NOT_FOUND' | translate: lang" displayField="orderNumber">
        </app-mat-select-search>
        </div>
        <div class="col-md-6">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>{{'labelProduct' | translate: lang}}</mat-label>
            <mat-select formControlName="productId"  required>
              <mat-option *ngFor="let product of productList" [value]="product.productId" required>
                {{product.productName}}
              </mat-option>
            </mat-select>
            <mat-hint
              *ngIf="(orderComplaintForm.controls['productId'].invalid && (orderComplaintForm.controls['productId'].dirty || orderComplaintForm.controls['productId'].touched))">
              <mat-error *ngIf="orderComplaintForm.controls['productId'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col-md-6">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>{{'labelComplaintStaus' | translate: lang}}</mat-label>
            <input type="text" matInput readonly formControlName="complaintStatus" required>
            <mat-hint
              *ngIf="(orderComplaintForm.controls['complaintStatus'].invalid && (orderComplaintForm.controls['complaintStatus'].dirty || orderComplaintForm.controls['complaintStatus'].touched))">
              <mat-error *ngIf="orderComplaintForm.controls['complaintStatus'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-6">
          <mat-form-field appearance="outline">
            <mat-label>{{'labelComplaintDescription' | translate: lang}}</mat-label>
            <textarea formControlName="complaintReason" matInput type="text" autocomplete="off" [title]="'labelComplaintDescription' | translate:lang"
              [maxLength]="addComplaintRules.MAX_LENGTH" [placeholder]="'labelComplaintDescription' | translate:lang" required></textarea>
            <mat-hint
              *ngIf="(orderComplaintForm.controls['complaintReason'].invalid && (orderComplaintForm.controls['complaintReason'].dirty || orderComplaintForm.controls['complaintReason'].touched))">
              <mat-error *ngIf="orderComplaintForm.controls['complaintReason'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col-md-6">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>{{'labelComplaintReasonType' | translate: lang}}</mat-label>
            <mat-select (selectionChange)="onChangeType($event.value)" formControlName="complaintTypeId"
              required>
              <mat-option *ngFor="let type of complaintTypeReason" [value]="type.complaintTypeId" required>
                {{type.complaintTypeName}}
              </mat-option>
            </mat-select>
            <mat-hint
              *ngIf="(orderComplaintForm.controls['complaintTypeId'].invalid && (orderComplaintForm.controls['complaintTypeId'].dirty || orderComplaintForm.controls['complaintTypeId'].touched))">
              <mat-error *ngIf="orderComplaintForm.controls['complaintTypeId'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
        <div class="col-md-6" *ngIf="showOthers">
          <mat-form-field appearance="outline">
            <mat-label>{{'lableOthers' | translate: lang}}</mat-label>
            <textarea formControlName="otherReason" matInput type="text" autocomplete="off"
              [maxLength]="addComplaintRules.MAX_LENGTH" [placeholder]="'lableOthers' | translate: lang"
              required></textarea>
            <mat-hint
              *ngIf="(orderComplaintForm.controls['otherReason'].invalid && (orderComplaintForm.controls['otherReason'].dirty || orderComplaintForm.controls['otherReason'].touched))">
              <mat-error *ngIf="orderComplaintForm.controls['otherReason'].errors.required">
                {{'errorRequired' | translate: lang}}
              </mat-error>
            </mat-hint>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col-md-6">
          <div class="common-browse_btn_con">
            <h6 class="image-header">{{'labelComplaintProductImage' | translate: lang}}<span
                [ngClass]="{'text-danger':(url === '' || url === undefined)}">*</span></h6>
            <input [accept]="acceptImageTypes" formControlName="complaintImage" name="file" type="file"
              (change)="onSelectFile($event)" onclick="this.value=null;" [title]="'lableUploadImage' | translate:lang">
            <input type="hidden" name="fileHidden" readonly />
            <button mat-raised-button type="button" color="primary" [title]="'lableUploadImage' | translate: lang">{{'lableUploadImage'
              | translate: lang}}</button>
            <div class="comon-notes">
              <p>{{'labelNote' | translate:lang}} {{'labelMaximumImageSize' | translate: lang}} {{fileSize}}
                {{'labelMB' | translate: lang}}</p>
            </div>
            <mat-hint
              *ngIf="(orderComplaintForm.controls['complaintImage'].invalid && (orderComplaintForm.controls['complaintImage'].dirty || orderComplaintForm.controls['complaintImage'].touched))">
              <mat-error *ngIf="orderComplaintForm.controls['complaintImage'].errors.required && !showImage">
                {{'errorRequired' | translate: lang}}
              </mat-error>
            </mat-hint>
          </div>
          <div class="common-image-preview" *ngIf="url !== ''">
            <img [src]="url" height="200" alt="image">
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-6 mt-4 mb-4">
          <button [disabled]="!orderComplaintForm.valid || !showImage" class="m-r10" mat-raised-button color="primary"
            [title]="'buttonSave' | translate: lang">{{'buttonSave'
            |
            translate: lang}}</button>
          <button class="m-r10" mat-raised-button (click)="closeComplaint()" type="button" color="primary"
            [title]="'buttonCancel' | translate: lang">{{'buttonCancel'
            | translate: lang}}</button>
          <button mat-raised-button (click)="resetForm()" type="button" color="primary"
            [title]="'buttonReset' | translate: lang">{{'buttonReset'
            | translate: lang}}</button>
        </div>
      </div>
    </form>
  </div>
  <hr *ngIf="orderComplaintList !== undefined && orderComplaintList.length > 0">
  <div class="wrapTableTech" *ngIf="orderComplaintList !== undefined && orderComplaintList.length > 0">
    <div class="blocTech">
      <div class="tech-cell">{{'labelSno' |translate: lang}}</div>
      <div class="tech-cell">{{'lableComplaintNumber' |translate: lang}}</div>
      <div class="tech-cell">{{'lableProductName' |translate: lang}}</div>
      <div class="tech-cell text-center">{{'lableComplaintImage' |translate: lang}}</div>
      <div class="tech-cell">{{'lableComplaintStatus' |translate: lang}}</div>
      <div class="tech-cell">{{'labelComplaintReasonType' |translate: lang}}</div>
    </div>
    <div class="blocCat">
      <div class="tech-row" *ngFor="let order of orderComplaintList">
        <div class="tech-value">
          <span>{{order.sno}}</span>
        </div>
        <div class="tech-value">
          <span>{{order.complaintNumber}}</span>
        </div>
        <div class="tech-value">
          <span>{{order.productName}}</span>
        </div>
        <div class="tech-value whistlist-image text-left wishlist-cursor">
          <img (click)="openImage(order)" class="img-responsive" [title]="order.productName" [src]="order.complaintImage"
            [alt]="order.productName">
        </div>
        <div class="tech-value">
          <span>{{order.complaintStatus}}</span>
        </div>
        <div class="tech-value">
          <span class="other-reason-icon">{{order.complaintTypeName}}<i class="material-icons" *ngIf="order.otherReason" (click)="loadDescription(order.otherReason)">help_outline</i>
        </span>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="nodata-found-wrap-1" *ngIf="(orderComplaintList === undefined || orderComplaintList.length === 0) && !showManageComplaintsDetails ">
  <div class="add-btn-nodata ">
    <button mat-raised-button color="primary" [title]="'lableAddComplaint' | translate: lang"
      (click)="onClickAddComplaints()">
      <i class="fa fa-plus-circle plus-icon" aria-hidden="true"></i>
      {{'lableAddComplaint' | translate: lang}}
    </button>
  </div>
  <div class="no-data-txt">
    {{'LABEL_NO_COMPLIANTS' | translate: lang}}
  </div>
</div>